Bug 1134128 - [abrt] shotwell hangs during any import operation
Summary: [abrt] shotwell hangs during any import operation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e516617be58e019463cf2ff0742...
Depends On:
Blocks: F21AlphaFreezeException F21FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2014-08-26 22:43 UTC by Matteo Settenvini
Modified: 2014-09-11 02:44 UTC (History)
10 users (show)

Fixed In Version: shotwell-0.19.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 02:44:23 UTC


Attachments (Terms of Use)
File: backtrace (28.75 KB, text/plain)
2014-08-26 22:43 UTC, Matteo Settenvini
no flags Details
File: cgroup (191 bytes, text/plain)
2014-08-26 22:43 UTC, Matteo Settenvini
no flags Details
File: core_backtrace (16.81 KB, text/plain)
2014-08-26 22:43 UTC, Matteo Settenvini
no flags Details
File: dso_list (15.05 KB, text/plain)
2014-08-26 22:43 UTC, Matteo Settenvini
no flags Details
File: environ (2.75 KB, text/plain)
2014-08-26 22:43 UTC, Matteo Settenvini
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-26 22:43 UTC, Matteo Settenvini
no flags Details
File: maps (76.61 KB, text/plain)
2014-08-26 22:43 UTC, Matteo Settenvini
no flags Details
File: open_fds (1.01 KB, text/plain)
2014-08-26 22:43 UTC, Matteo Settenvini
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2014-08-26 22:43 UTC, Matteo Settenvini
no flags Details
File: var_log_messages (517 bytes, text/plain)
2014-08-26 22:43 UTC, Matteo Settenvini
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 734262 None None None Never

Description Matteo Settenvini 2014-08-26 22:43:12 UTC
Description of problem:
Just firing up shotwell and waiting some seconds results in the application completely hanging for me, while trying to import new photos. Looks like a deadlock. I then manually sent SIGABRT to shotwell in a terminal, so that this report could be automatically generated.

This renders shotwell completely unusable for me.

I tried completely emptying the folder with the Photo library, and also deleting .local/share/shotwell, but it did not help.

Version-Release number of selected component:
shotwell-0.19.0-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        shotwell
crash_function: syscall
executable:     /usr/bin/shotwell
kernel:         3.16.1-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 7 (8 frames)
 #0 syscall at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
 #1 g_cond_wait at gthread-posix.c:1390
 #2 abstract_semaphore_wait at /usr/src/debug/shotwell-0.19.0/src/threads/Semaphore.vala:70
 #3 background_job_notify at /usr/src/debug/shotwell-0.19.0/src/threads/BackgroundJob.vala:220
 #4 prepare_files_job_real_execute at /usr/src/debug/shotwell-0.19.0/src/BatchImport.vala:1736
 #5 workers_thread_start at /usr/src/debug/shotwell-0.19.0/src/threads/Workers.vala:96
 #6 _workers_thread_start_gfunc at /usr/src/debug/shotwell-0.19.0/src/threads/Workers.vala:31
 #8 g_thread_proxy at gthread.c:764

Comment 1 Matteo Settenvini 2014-08-26 22:43:16 UTC
Created attachment 931160 [details]
File: backtrace

Comment 2 Matteo Settenvini 2014-08-26 22:43:18 UTC
Created attachment 931161 [details]
File: cgroup

Comment 3 Matteo Settenvini 2014-08-26 22:43:20 UTC
Created attachment 931162 [details]
File: core_backtrace

Comment 4 Matteo Settenvini 2014-08-26 22:43:22 UTC
Created attachment 931163 [details]
File: dso_list

Comment 5 Matteo Settenvini 2014-08-26 22:43:23 UTC
Created attachment 931164 [details]
File: environ

Comment 6 Matteo Settenvini 2014-08-26 22:43:24 UTC
Created attachment 931165 [details]
File: limits

Comment 7 Matteo Settenvini 2014-08-26 22:43:26 UTC
Created attachment 931166 [details]
File: maps

Comment 8 Matteo Settenvini 2014-08-26 22:43:28 UTC
Created attachment 931167 [details]
File: open_fds

Comment 9 Matteo Settenvini 2014-08-26 22:43:29 UTC
Created attachment 931168 [details]
File: proc_pid_status

Comment 10 Matteo Settenvini 2014-08-26 22:43:30 UTC
Created attachment 931169 [details]
File: var_log_messages

Comment 11 Fedora Blocker Bugs Application 2014-09-05 13:27:50 UTC
Proposed as a Blocker for 21-final by Fedora user catanzaro using the blocker tracking app because:

 My understanding is that this bug makes Shotwell unusable. Proposing as a final blocker:

"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test."

Comment 12 Fedora Update System 2014-09-07 07:56:35 UTC
shotwell-0.19.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/shotwell-0.19.0-2.fc21

Comment 13 Kalev Lember 2014-09-07 16:26:43 UTC
Proposing as a F21 Alpha freeze exception, based on the criteria outlined in comment #11.

Comment 14 Marco Giunta 2014-09-08 07:35:17 UTC
Using updated version of comment 12, it works like a charm ...

Comment 15 Fedora Update System 2014-09-08 16:09:54 UTC
Package shotwell-0.19.0-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing shotwell-0.19.0-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10302/shotwell-0.19.0-2.fc21
then log in and leave karma (feedback).

Comment 16 Adam Williamson 2014-09-10 18:13:07 UTC
Discussed at 2014-09-10 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-09-10/f21-blocker-review.2014-09-10-16.07.log.txt . Accepted as a freeze exception issue - this is a function people are likely to test on lives or immediately post-install, hence it would be good to make sure it works.

Comment 17 Fedora Update System 2014-09-11 02:44:23 UTC
shotwell-0.19.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.